### Method

# GdkPixbuf Pixbuf save_to_streamv

since: 2.36

#### Declaration [src]

    gboolean
    gdk_pixbuf_save_to_streamv (
      GdkPixbuf* pixbuf,
      GOutputStream* stream,
      const char* type,
      char** option_keys,
      char** option_values,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Saves `pixbuf` to an output stream.

Supported file formats are currently “jpeg”, “tiff”, “png”, “ico” or “bmp”.

See `gdk_pixbuf_save_to_stream()` for more details.

Available since: 2.36

#### Parameters

`stream`

  Type: `GOutputStream`

  A `GOutputStream` to save the pixbuf to.

  The data is owned by the caller of the method.

`type`

  Type: `const char*`

  Name of file format.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`option_keys`

  Type: An array of `utf8`

  Name of options to set.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`option_values`

  Type: An array of `utf8`

  Values for named options.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the pixbuf was saved successfully, `FALSE` if an error was set.